MPI_Type_get_envelope(3)

NAME
MPI_Type_get_envelope - Returns information on the number and type of input arguments used in the call that created datatype

SYNOPSIS
#include "mpi.h"
int MPI_Type_get_envelope(
        MPI_Datatype datatype,
        int *num_integers,
        int *num_addresses,
        int *num_datatypes,
        int *combiner)

INPUT PARAMETERS
datatype
    - datatype to access (handle)

OUTPUT PARAMETERS
num_integers
    - number of input integers used in the call constructing combiner (nonnegative integer)
num_addresses
    - number of input addresses used in the call constructing combiner (nonnegative integer)
num_datatypes
    - number of input datatypes used in the call constructing combiner (nonnegative integer)
combiner
    - combiner (state)

NOTES FOR FORTRAN
All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement. All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

LOCATION
type_get_env.c